/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { MarkerSeriesDescription } from "./MarkerSeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var RadialBaseDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(RadialBaseDescription, _super);
    function RadialBaseDescription() {
        var _this = _super.call(this) || this;
        _this.er = false;
        _this.eq = false;
        _this.ev = null;
        _this.ey = null;
        _this.ep = false;
        _this.ex = null;
        _this.ew = null;
        return _this;
    }
    RadialBaseDescription.prototype.get_type = function () {
        return "RadialBase";
    };
    Object.defineProperty(RadialBaseDescription.prototype, "isCustomRadialStyleAllowed", {
        get: function () {
            return this.er;
        },
        set: function (a) {
            this.er = a;
            this.g("IsCustomRadialStyleAllowed");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseDescription.prototype, "isCustomRadialMarkerStyleAllowed", {
        get: function () {
            return this.eq;
        },
        set: function (a) {
            this.eq = a;
            this.g("IsCustomRadialMarkerStyleAllowed");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseDescription.prototype, "angleAxisRef", {
        get: function () {
            return this.ev;
        },
        set: function (a) {
            this.ev = a;
            this.g("AngleAxisRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseDescription.prototype, "valueAxisRef", {
        get: function () {
            return this.ey;
        },
        set: function (a) {
            this.ey = a;
            this.g("ValueAxisRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseDescription.prototype, "clipSeriesToBounds", {
        get: function () {
            return this.ep;
        },
        set: function (a) {
            this.ep = a;
            this.g("ClipSeriesToBounds");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseDescription.prototype, "assigningRadialStyleRef", {
        get: function () {
            return this.ex;
        },
        set: function (a) {
            this.ex = a;
            this.g("AssigningRadialStyleRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(RadialBaseDescription.prototype, "assigningRadialMarkerStyleRef", {
        get: function () {
            return this.ew;
        },
        set: function (a) {
            this.ew = a;
            this.g("AssigningRadialMarkerStyleRef");
        },
        enumerable: false,
        configurable: true
    });
    RadialBaseDescription.$t = markType(RadialBaseDescription, 'RadialBaseDescription', MarkerSeriesDescription.$);
    return RadialBaseDescription;
}(MarkerSeriesDescription));
export { RadialBaseDescription };
